ppmtouil(1)

NAME
ppmtouil - convert a portable pixmap into a Motif UIL icon file

SYNOPSIS
ppmtouil [-name uilname] [ppmfile]

DESCRIPTION
Reads a portable pixmap as input. Produces a Motif UIL icon file as output.

If the program was compiled with an rgb database specified, and a RGB value from the ppm input matches a RGB value from the database, then the corresponding color name mnemonic is printed in the UIL's colormap. If no rgb database was compiled in, or if the RGB values don't match, then the color will be printed with the #RGB, #RRGGBB, #RRRGGGBBB, or #RRRRGGGGBBBB hexadecimal format.

OPTIONS

-name
    Allows you to specify the prefix string which is printed in the resulting UIL output. If not specified, will default to the filename (without extension) of the ppmfile argument. If -name is not specified and no ppmfile is specified (i.e. piped input), the prefix string will default to the string "noname".

All flags can be abbreviated to their shortest unique prefix.

SEE ALSO
ppm(5)

AUTHOR
Converted by Jef Poskanzer from ppmtoxpm.c, which is Copyright (C) 1990 by Mark W. Snitily